> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser named dates

> Get the named dates associated with an end user, e.g., date of last transaction



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/named_dates
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/named_dates:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser named dates
      description: >-
        Get the named dates associated with an end user, e.g., date of last
        transaction
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  named_dates:
                    items:
                      $ref: '#/components/schemas/NamedDateSchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    NamedDateSchema:
      properties:
        date:
          description: The date of the NamedDate
          example: '2026-07-02'
          format: date
          nullable: true
          type: string
        name:
          description: The name of the NamedDate
          enum:
            - end_user_created
            - end_user_last_updated
            - last_transaction
            - end_user_last_enriched
            - last_data_source_end_date_or_transaction_timestamp
            - custom_date
          example: last_transaction
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````